html, body {
  margin: 0;
  padding: 0;
  height: 100%;
  width: 100%;
}

label {
  margin-right: 12px;
  font-weight: bold;
  color: #666;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 20px;
}

//note: mapUI is main div in YelpMap.js
//note: app is main div in Index.html
#app, #mapUI {
  width: inherit;
  height: inherit;
  z-index: -1
}

//note: This DOM element acts as our google map wrapper (or canvas).
//note: Styling for the actual map is defined as a prop within the google map component
#google-map-canvas {
  position: absolute;
  top: 0;
  left: 360px;
  right: 0;
  bottom: 0;
  min-width: 300px;
}

.input-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.input-container input[type="text"] {
  border: solid 1px #dcdcdc;
  border-radius: 3px 0 0 3px;
  transition: box-shadow 0.3s, border 0.3s;
}

//styling for placeholder in Autocomplete fields
.input-container input[type="text"]::-webkit-input-placeholder {
  padding-left: 3px;
}

.input-container input[type="text"]:focus,
.input-container input[type="text"].focus {
  border: solid 1px #707070;
  box-shadow: 0 0 5px 1px #969696;
}

.google-side-panel {
  z-index: 1;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  width: 360px;
  box-shadow: 5px 2px 5px 0px rgba(0, 0, 0, 0.26);
  background-color: rgb(242, 242, 242);
  display: flex;
  flex-direction: column;
}

.yelp-button {
  .yelp-icon {
    opacity: 0;
    transition: opacity .25s ease-in-out;
  }

  &:hover {
    .yelp-icon {
      opacity: 1;
    }
  }
}
.yelp-list-item:hover{
  opacity: 1;
}

#star-rating-container > img {
  height: 25px;
  margin-top: 0px;
}
#star-rating-container {
  display: flex;
  justify-content: flex-start;
  align-items: flex-end;
  margin-left: 10px;
}
#yelp-header {
  cursor: default;
  padding: 12px 15px;
  color: #fff;
  background-color: rgb(211, 35, 35);
}
#yelp-logo {
  height: 80px;
  width: 145px;
  margin-left: 70px;
}
#yelp-form {
  height: 150px;
  min-height: 150px;
  max-height: 150px;
  display: flex;
  flex-direction: column;
  padding: 15px;
  word-spacing: 10px;
  border-bottom: 1px solid #ddd;
  background-color: #fff;
  justify-content: space-between;
  align-items: flex-end;
}

/*
Styles below were used for the YelpMap/YelpPanel component.
Note: they aren't being used right now because of the google map transition

.leaflet-container {
  height: 100%; //1200px
  width: 100%; //900px
}

.yelp-panel {
  position: absolute;
  top: 10px;
  z-index: 1000;
  width: 420px;
  height: 150px;
  background: hsla(360, 100%, 100%, 0.95);
  margin: 10px;
  font-family: sans-serif;
  font-size: 13px;
  //padding: 5px 5px 10px 10px;
  padding: 0px;
  border-radius: 10px;
}
.yelp-panel hr{
  border: 1px solid #000;
  margin: 5px;
}
.yelp-panel h3 {
  margin-top: 0;
  padding-left: 5px;
  font-weight: 300
}
.yelp-panel p {
  padding-left: 5px;
}
*/